#
# spec file for package xconsole
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xconsole
Version:        1.0.8
Release:        1.3
Summary:        Utility to monitor system console messages with X
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xt) >= 1.0
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xconsole displays in a X11 window the messages which are usually sent
to /dev/console

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xconsole
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XConsole
%{_mandir}/man1/xconsole.1%{?ext_man}

%changelog
* Mon Jul 11 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.8:
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * Build xz tarballs instead of bzip2
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * unifdef sgi
  * Reduce scope of ttydev & ptydev
  * gitlab CI: stop requiring Signed-off-by in commits
* Sat May  1 2021 Dirk Müller <dmueller@suse.com>
- modernize spec (move license to licensedir)
* Wed Feb  1 2017 sndirsch@suse.com
- Update to version 1.0.7:
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * config: add AC_USE_SYSTEM_EXTENSIONS
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Sun Jul 21 2013 zaitor@opensuse.org
- Update to version 1.0.6:
  + Use fstat() on the fd from open(), instead of stat() on the
    same pathname.
  + Fix file leak if fdopen() fails.
  + config: Add missing AC_CONFIG_SRCDIR.
  + Fix build on FreeBSD.
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Fix implicit conversion from size_t to int warnings in
    Deiconified().
  + Open /dev/console with NOCTTY and O_NONBLOCK flags.
  + Don't rely on being able to set tab stops.
  + Mark functions _X_NORETURN that gcc warnings suggest.
  + Remove old Xorg & XFree86 CVS version tags.
  + Strip trailing whitespace.
  + Require xt >= 1.0 for appdefaultdir (fdo#7237).
  + config:
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Move man pages into their own directory.
  + man: replace hard coded man page section with substitution
    strings.
- Replace pkgconfig(xorg-macros) with pkgconfig(xproto)
  BuildRequires, since this is what configure checks for now.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xconsole from xorg-x11. Initial version: 1.0.4.
